| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # XSNamespaceItem.hpp File Reference Include dependency graph for XSNamespaceItem.hpp: Go to the source code of this file.
## Compounds
class | XSNamespaceItem
## Defines
#define | XSNAMESPACEITEM_HPP
## Variables
XERCES_CPP_NAMESPACE_BEGIN class | XSAnnotation
| This class contains all properties of the Schema Namespace Information infoitem. More...
## Define Documentation
#define XSNAMESPACEITEM_HPP
## Variable Documentation
XERCES_CPP_NAMESPACE_BEGIN class XSAnnotation
| This class contains all properties of the Schema Namespace Information infoitem. These items correspond to the result of processing a schema document and all its included/redefined schema documents. It corresponds to the schema component discussed in the schema specifications, but since it is not like other components does not inherit from the XSObject interface. This is *always* owned by the validator /parser object from which it is obtained. It is designed to be subclassed; subclasses will specify under what conditions it may be relied upon to have meaningful contents.

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.